/*  import google fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}
html{
    scroll-behavior: smooth;
min-width:300px;
}
/* loader*/

#preloader{
position:fixed;
top:0;
left:0;
right:0;
bottom:0;
background:white;
z-index:1000;

}
#loader{
width:300px;
height:300px;
position:absolute;
top:50%;
left:50%;
margin-left:-150px;
margin-top:-100px;
}
#loader img{
width:100%;
}

/* custom scroll bar */

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track  {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb{
    background: #888;
}


::-webkit-scrollbar-thumb:hover {
    background: #555;
}


/* all similar content styling codes */
section{
    padding: 100px 0;
}
.max-width{
    max-width: 1300px;
    padding: 0 80px;
    margin: auto;
}
.about, .services, .skills, .teams, .contact, footer{
    font-family: 'Poppins', sans-serif;
}
.about .about-content, 
.services .serv-content,
.skills .skills-content,
.contact .contact-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'Ubuntu', sans-serif;
}
section .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: #111;
    transform: translateX(-50%);
}
section .title::after{
    position: absolute;
    bottom: -8px;
    left: 50%;
    font-size: 20px;
    color: crimson;
    padding: 0 5px;
    background: #fff;
    transform: translateX(-50%);
}

/* navbr styling */
.navbr{
    position: fixed;
    width: 100%;
    z-index: 999;
    padding: 25px 0;
    font-family: 'Ubuntu', sans-serif;
    transition: all 0.3s ease;

}
.navbr.sticky{
    padding: 15px 0;
    background: rgb(2,0,36);
background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(220,20,60,0.9) 0%, rgba(220,20,60,0.9) 100%);
max-height:100px;
}
.navbr .max-width{
    display: flex;
    align-items: center;
    justify-content: space-between;

}
.navbr .logo a{
    color: #fff;
    font-size: 35px;
    font-weight: 600;
text-decoration:none;
}
.navbr .logo a span{
    color: crimson;
    transition: all 0.3s ease;
}
.navbr.sticky .logo a span{
    color: #fff;
}
.navbr .menu li{
    list-style: none;
    display: inline-block;
	padding:20px;
	transition: all 0.3s ease;

}
.navbr .menu li:hover{
    background-color:crimson;
	transform: scale(1.5);
	
}
.navbr .menu li a{
    display: block;
    color: #fff;
    font-size: 18px;
    font-weight: 500px;
   /**margin-left: 25px;**/
    transition: color 0.3s ease;
text-decoration:none;
}
.navbr .menu li a:hover{
    /**color: crimson;**/
	
}
.navbr.sticky .menu li a:hover{
    color: #fff;
}

/* menu btn styling */
.menu-btn{
    color: #fff;
    cursor: pointer;
    display: none;
}
.menu-btn .img_menu{
    width:25px;
}
.menu-btn .cierre{
    color: #fff;
    cursor: pointer;
    display: none;
}
.scroll-up-btn{
    position: fixed;
    height: 45px;
    width: 42px;
    background: crimson;
    right: 30px;
    bottom: 10px;
    text-align: center;
    line-height: 45px;
    color: #fff;
    z-index: 9999;
    font-size: 30px;
    border-radius: 6px;
    border-bottom-width: 2px;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease;
}
.scroll-up-btn .up{
width:100%;
}
.scroll-up-btn.show{
    bottom: 30px;
    opacity: 1;
    pointer-events: auto;
}
.scroll-up-btn:hover{
    filter: brightness(90%);
    opacity:80%;
}
.bot{
z-index:900;
position: fixed;
left: 30px;
bottom: 20px;
}
.bot .boximg{
background: white;
border-radius: 50%;
overflow:hidden;
cursor:pointer;
height: 45px;
width: 42px;
display:flex;
justify-content:center;

}
.bot .boxdialogo {
display:none;
}
.bot .boxdialogo .dialogo {
box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
background-color:white;
width: 150px;
height:100px;
border-radius:10px;
padding:10px;
margin-bottom:10px;
margin-left:30px;
transition: all 0.3s ease;


}
.bot .boxdialogo .nuevo_dialogo{
box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
background-color:white;
width: 300px;
height:300px;
border-radius:10px;
padding:10px;
margin-bottom:10px;
margin-left:30px;
transition: all 0.3s ease;
font-family: 'Ubuntu', sans-serif;

}
.bot img{
width:70px;
height:70px;
padding:3px;
margin-top:5px;
}

  
/* home section styling */
.home{
    display: flex;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.6), 
  rgba(0, 0, 0, 0.6)), url("images/banner.jpg")no-repeat center;
    height: 100vh;
    color: #fff;
    min-height: 500px;
    background-size: 200%;
    background-attachment: fixed;
    font-family: 'Ubuntu', sans-serif;

animation: movimiento 15s infinite linear alternate;
}
@keyframes movimiento{
from{
background-position:left;
}to{
background-position:right;
}
}
.home .max-width{
    margin: auto 0 auto 30px;
}
.home .home-content .text-1{
    font-size: 27px;
}
.home .home-content .text-2{
    font-size: 75px;
    font-weight: 600;
    margin-left: -3px;
}
.home .home-content .text-3{
    font-size: 40px;
    margin: 5px 0;
}
.home .home-content .text-3 span{
    color: crimson;
    font-weight: 500;
}
.home .home-content a{
    display: inline-block;
    background: crimson;
    color: #fff;
    font-size: 25px;
    padding: 12px 36px;
    margin-top: 20px;
    font-weight: 400;
    border-radius: 6px;
    border: 2px solid crimson;
    transition: all 0.3s ease;
}
.home .home-content a:hover{
    color: crimson;
    background: none;
}

/* about section styling */
.about .title::after{
    content: "¿Quién soy?";
}
.about .about-content .left{
    width: 45%;
}
.about .about-content .left img{
    height: 300px;
    width: 300px;
    object-fit: cover;
    border-radius: 50%
}
.about .about-content .right{
    width: 55%;
}
.about .about-content .right .text{
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 10px;
}
.about .about-content .right .text span{
    color: crimson;
}
.about .about-content .right p{
    text-align: justify;
}
.about .about-content .right a{
    display: inline-block;
    background: crimson;
    color: #fff;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid crimson;
    transition: all 0.3s ease;
}
.about .about-content .right a:hover{
    color: crimson;
    background: none;
}

/* services section styling */
.services, .projects{
    color:#fff;
    background: #111;
}
.services .title::before,
.projects .title::before{
    background: #fff;
}
.services .title::after,
.projects .title::after{
    background: #111;
    content: "¿Qué puedo ofrecer?";
}
.services .services_div{
background:#222;
justify-conten:center;
align-items:center;
min-height:100vh;
padding-top:30px;
over-flow:hidden;
}
.services .max-width{
display:flex;
justify-content:center;
align-items:center;
min-height:100vh;
over-flow:hidden;
}
.services .max-width .serv-content {
position:relative;
width: 1000px;
display:flex;
justify-content:space-between;
flex-wrap:wrap;
margin: 20px;

}
.services .serv-content .card1{

position:relative;
height:250px;
background:#fff;
display:flex;
width:450px;
margin:30px 0;
justify-content:center;
align-items:center;
}
.cards-wrapper {
  display: flex;
  justify-content: center;
}
.card img {
  max-width: 100%;
  max-height: 100%;
}
.card {
  margin: 0 0.5em;
  box-shadow: 2px 6px 8px 0 rgba(22, 22, 26, 0.18);
  border: none;
  border-radius: 0;
}
.carousel-inner {
  padding: 1em;
}
.card-img-top{
    transition:0.5s ease-in-out;
    
}
.card-img-top:hover{
    transform:scale(1.2);
    
}
.carousel-control-prev,
.carousel-control-next {
  background-color: #e1e1e1;
  width: 5vh;
  height: 5vh;
  border-radius: 50%;
  top: 50%;
  transform: translateY(-50%);
}
.serv-content .card1 .imgBx{

position:absolute;
top:0;
left:0;
height:100%;
width:100%;
background:#333;
z-index:100;
display:flex;
justify-content:center;
align-items:center;
overflow:hidden;
transition:0.5s ease-in-out;
padding:10px;
cursor:pointer;
}
.serv-content .card1:hover .imgBx{
width:150px;
height:150px;
left:-75px;
top:50%;
transition:0.5s ease-in-out;
background:crimson;
}

.serv-content .card1 .imgBx:before{
content:attr(data-text);
position:absolute;
bottom:0;
left:0;
width:100%;
height:100%;
text-align:center;
font-size:6em;
color:rgba(255,255,255,.05);
font-weight:700;

}
.serv-content .card1 img{
width:50%;
color:white;
}
.serv-content .card1 .disminuir p{
font-size:12px;
}

.services .serv-content .card1 .texto{
/**width:70%;**/
/**height:150px;**/
color:black;
font-size:15px;
position:absolute;
right:0;
width:calc(100%-75px);
text-align:center;
justify-content:center;
align-items:center;
padding:20px;
padding-left:75px;

}

.services .serv-content .card1 h3{
color:crimson;

}
.services .serv-content .card1 a{
display:inline-block;
margin-top:10px;
padding:5px 10px;
background:#333;
text-decoration:none;
color:#fff;


}
.services .serv-content .card:hover{
    background: crimson;
}
.services .serv-content .card .box{
    transition: all 0.3s ease;
}
.services .serv-content .card:hover .box{
    transform: scale(1.05);
}
.services .serv-content .card i{
    font-size: 50px;
    color: crimson;
    transition: color 0.3s ease;
}
.services .serv-content .card:hover i{
    color: #fff;
}
.services .serv-content .card .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}

/* skills section styling */

.skills .title::after{
    content: "¿Qué habilidades poseo?";
	
}
.skills .skills-content .column{
    width: calc(50% - 30px);
}
.skills .skills-content .left .text{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}
.skills .skills-content .left p{
    text-align: justify;
}
.skills .skills-content .left a{
    display: inline-block;
    background: crimson;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    padding: 8px 16px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid crimson;
    transition: all 0.3s ease;
}
.skills .skills-content .left a:hover{
    color: crimson;
    background: none;
}
.skills .skills-content .right .bars{
    margin-bottom: 15px;
}
.skills .skills-content .right .info{
    display: flex;
    margin-bottom: 5px;
    align-items: center;
    justify-content: space-between;
}
.skills .skills-content .right span{
    font-weight: 500;
    font-size: 18px;
}
.skills .skills-content .right .line{
    height: 5px;
    width: 100%;
    background: lightgrey;
    position: relative;
}
.skills .skills-content .right .line::before{
    content: "";
    position: absolute;
    height: 100%;
    left: 0;
    top: 0;
    background: crimson;
}
.skills-content .right .html::before{
    width: 90%;
}
.skills-content .right .css::before{
    width: 60%;
}
.skills-content .right .js::before{
    width: 80%;
}
.skills-content .right .php::before{
    width: 50%;
}
.skills-content .right .mysql::before{
    width: 70%;
}
.skills-content .right .skill_img{
display:flex;
justify-content:center;
width:100px;
height:95px;
margin:10px;
margin-top:20px;
float:right;
cursor:pointer;

} 
.skills-content .right .skill_img img{
width:100%;
transition:ease-in-out 0.5s;
filter:grayscale(100%);

}
.skills-content .right .skill_img:hover img{
filter:grayscale(0%);
transform: translate(0,-30px);
box-shadow: 0px 70px 20px -30px rgba(0, 0, 0, 0.5), 0px 0px 0px 0px rgba(0, 0, 0, 0.19);

z-index:100;
}


/* projects section styling */
.projects{
    
    width:100%;
background: linear-gradient(to bottom, rgba(118,16,68,1), 
  rgba(220,20,60,1));
 padding:20px;
    font-family: 'Ubuntu', sans-serif;

animation: movimiento 15s infinite linear alternate;
}
.projects .max-width{
display:flex;
justify-content:center;
flex-direction:column;



}
.projects .title::after{
    content: "";
}
.projects .container{
position :relative;
width:100%;
display:flex;
justify-content:center;
align-items:center;
flex-wrap:wrap;
padding:20px;
margin:auto;
flex-direction:column;

}
.container .card {
position:relative;
width:500px;
height:300px;
background:#fff;
margin:30px 0px;
padding:20px 15px;
display:flex;
flex-direction:column;
background-color: rgba(220, 20, 60, 0.7);
box-shadow: 0 5px 202px rgba(0,0,0,0.5);
transition: 0.5s ease-in-out;

}
.projects .container:hover{
    
}

.container .card:hover{
height:450px;

}
.container .card .imagen_box{
position:relative;
width:80%;
height:260px;
top:-60px;
min-width:230px;
margin: auto;
 box-shadow: 0px 0px 10px 0px black;
border: 5px solid white;
border-radius:10px;
transition: 0.3s ease-in-out;
transform-style: preserve-3d;
transform: rotateY(180deg);
overflow:hidden;
max-height: 200px;
}
.container .card:hover .imagen_box{
transform:scale(1.2);

}
.container .card .imagen_box img{
width: 150%;
transition:0.3s ease-in-out;

 
}
.container .card .content_card{
position:absolute;
top:0;

text-align:center;
color:#111;
visibility:hidden;
opacity:0;
transition:0.3s ease-in-out;
text-shadow: 2px 2px 2px black;
padding:20px;
width:100%;
margin:auto;

}

.container .card:hover .content_card{
visibility:visible;
opacity:1;
/**transition-delay:0.3s;**/
color:white;
background: rgba(255,255,255,0.05);
backdrop-filter: blur(10px);
box-shadow: 2px 2px 2px white;
border-radius:10px;
height:280px;

}
.container .card:hover .imagen_box img{
    transform:scale(1.4);
}
.container .card:hover .content_card p{
font-size:15px;
}
.container .card:hover .content_card h2{
font-size:20px;
}
.container .card:hover .pie .images img{
margin-left:0;
}
.container .card .content_card .button button{
    width: 80%;
    height: 100%;
    border: 2px solid crimson;
    background: crimson;
    color: #fff;
    outline: none;
    font-size: 20px;
    font-weight: 500;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.3s ease;
margin-bottom:5px;
}
.container .card .content_card .button button:hover{
    color: crimson;
    background: none;
}
.container .card .pie{
    font-size:20px;
    color:white;
    margin: 0 auto;
    margin-bottom:15px;
  font-family: 'Ubuntu', sans-serif;
  
   
}

.container .card .pie .images{
overflow:hidden; 
position:absolute;
bottom:80px;
left:0;
margin:auto;
cursor:pointer;
transition: all 0.6s ease;
width: 100%;
}
.container .card .pie .images .img{
    width:100%;
display: flex;
justify-content: space-between;
}

.container .card .pie .images .img img{
    
margin:auto;    
width:50px;
height:45px;
}


/* contact section styling */
.contact .title::after{
    content: "";
}
.contact .contact-content .column{
    width: calc(50% - 30px);
}
.contact .contact-content .text{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}
.contact .contact-content .left p{
    text-align: justify;
}
.contact .contact-content .left .icons{
    margin: 10px 0;
}
.contact .contact-content .left .img_contact{
width:25px;
margin-right:10px;
}
.contact .contact-content .row{
    display: flex;
    height: 65px;
    align-items: center;
}
.contact .contact-content .row .info{
    margin-left: 30px;
}
.contact .contact-content .row i{
    font-size: 25px;
    color: crimson;
}
.contact .contact-content .info .head{
    font-weight: 500;
}
.contact .contact-content .info .sub-title{
    color: #333;
}
.contact .right form .fields{
    display: flex;
}
.contact .right form .field,
.contact .right form .fields .field{
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
}
.contact .right form .textarea{
    height: 80px;
    width: 100%;
}
.contact .right form .name{
    margin-right: 10px;
}
.contact .right form .email{
    margin-left: 10px;  
}
.contact .right form .field input,
.contact .right form .textarea textarea{
    height: 100%;
    width: 100%;
    border: 1px solid lightgrey;
    border-radius: 6px;
    outline: none;
    padding: 0 15px;
    font-size: 17px;
    font-family: 'Poppins', sans-serif;
    transition: all 0.3s ease;
}
.contact .right form .field input:focus,
.contact .right form .textarea textarea:focus{
    border-color: #b3b3b3;
}
.contact .right form .textarea textarea{
    padding-top: 10px;
    resize: none;
}
.contact .right form .button{
    height: 47px;
    width: 170px;
}
.contact .right form .button button{
    width: 100%;
    height: 100%;
    border: 2px solid crimson;
    background: crimson;
    color: #fff;
    outline: none;
    font-size: 20px;
    font-weight: 500;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.3s ease;
}
.contact .right form .button button:hover{
    color: crimson;
    background: none;
}
/*MODAL*/
#modalregistro .modal-content{
   background-color: rgba(220, 20, 60, 0.7) !important;
}

/* footer section styling */
footer{
    background: #111;
    padding: 15px 23px;
    color: #fff;
    text-align: center;
}
footer span a{
    color: crimson;
    text-decoration: none;
}
footer span a:hover{
    text-decoration: underline;
}


/* responsive media query start */
@media (max-width: 1300px) {
    .home .max-width{
        margin-left: 0px;
    }
}
@media(max-width:1200px){
.projects .max-width{
flex-direction:column;

}
.projects .container{
justify-content:center;
}
.container .card {
width:500px;}
}
@media (max-width: 1104px) {
    .about .about-content .left img{
        height: 350px;
        width: 350px;
    }
.services .max-width .serv-content .card1{
max-width:350px;

}
.projects .max-width{
flex-direction:column;

}
}


@media (max-width: 994px) {
    
.max-width{
        padding: 0 50px;
    }

.services .max-width .serv-content .card1{
width:350px;


}


}
@media (max-width: 947px){
    .menu-btn{
        display: block;
        z-index: 999;
	
    }
    .menu-btn i.active:before{
        content: "\f00d";
    }
    .navbr .menu{
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100%;
        top: 0;
        background: #111;
        text-align: center;
        padding-top: 40px;
        transition: all 0.3s ease;
    }
    .navbr .menu.active{
        left: 0;
    }
    .navbr .menu li{
        display: block;
    }
    .navbr .menu li a{
        display: inline-block;
        margin: 20px 0;
        font-size: 18px;
    }
    .home .home-content .text-2{
        font-size: 70px;
    }
    .home .home-content .text-3{
        font-size: 35px;
    }
    .home .home-content a{
        font-size: 23px;
        padding: 10px 30px;
    }
    .max-width{
        max-width: 930px;
    }
    .about .about-content .column{
        width: 100%;
    }
    .about .about-content .left{
        display: flex;
        justify-content: center;
        margin: 0 auto 60px;
	width:350px;

    }
    .about .about-content .right{
        flex: 100%;
    }
    .services .serv-content .card{
        width: calc(50% - 10px);
        margin-bottom: 20px;
    }
    .disminuir h3{
       font-size:18px; 
    }
    .skills .skills-content .column,
    .contact .contact-content .column{
        width: 100%;
        margin-bottom: 35px;
    }
}
@media(max-width:1024px) and (min-width:1024px){
.home{
 background-size:cover;
}
.services .max-width .serv-content .card1{
width:550px;
height:350px;
margin:auto;
margin-top:20px;
}

}
@media(max-width:855px){
.services .max-width .serv-content .card1{
width:450px;

}
.services .max-width .serv-content {
text-align:center;
justify-content:center;
}
.serv-content .card1{
overflow:hidden;
}
}
@media(max-width:770px){
.home{
 background-size:cover;
}
.services .serv-content{
justify-content: center;
align-items:center;

}
.services .serv-content .card{
        width: 100%;
    }


}
@media (max-width: 690px) {
    .max-width{
        padding: 0 23px;
    }
    .home .home-content .text-2{
        font-size: 60px;
    }
    .home .home-content .text-3{
        font-size: 32px;
    }
    .home .home-content a{
        font-size: 20px;
    }
    .services .serv-content .card{
        width: 100%;
    }
    .container .card {
        width:400px;
        
    }
    .container .card .imagen_box .content_card h2{
        font-size:15px;
    }
    .container .card .imagen_box .content_card p{
        font-size:12px;
    }
}
@media(max-width:580px){
.serv-content .card1{
overflow:hidden;
}
.serv-content .card1 .texto{
position:relative;
margin-left:-18%;
right:100px;
}
.serv-content .card1:hover .imgBx{
width:100%;
height:100%;
left:0;
top:-100%;
transition:0.5s ease-in-out;
background:crimson;
}
}

@media(max-width:531px){
.skills .title::after{
    content: "";
	
}
}

@media (max-width: 500px) {
    .navbr .menu li:hover{
    background-color:crimson;
	transform: scale(1);
	
}

    .home .home-content .text-2{
        font-size: 50px;
    }
    .home .home-content .text-3{
        font-size: 27px;
    }
    .about .about-content .right .text,
    .skills .skills-content .left .text{
        font-size: 19px;
    }
    .contact .right form .fields{
        flex-direction: column;
    }
    .contact .right form .name,
    .contact .right form .email{
        margin: 0;
    }
    .scroll-up-btn{
        right: 15px;
        bottom: 15px;
        height: 38px;
        width: 35px;
        font-size: 23px;
        line-height: 38px;
    }
.services .services_div .serv-content .card1{
width:350px;

}
.container .card{
    width:300px;
}

.container .card .imagen_box{
 width:100%;  
height:250px; 
    
}
.container .card:hover .imagen_box{
transform:scale(1.2);

}
.container .card:hover .content_card p{
font-size:12px;
}
.container .card:hover .content_card h2{
font-size:15px;
}


}
@media(max-width:414px){
.services .title::after{
   content:"";
}
}
@media(max-width:390px){
.imagen_box{
margin-left:-10px;
}

}
@media (max-width: 376px) {
.services .serv-content {
width:300px;

}


}


@media (max-width: 360px) {

.about-content .column left img{
width:50%;
height:50%;
}
.services .services_div .serv-content .card1{
width:300px;
}
.container .card {

padding:0;
}
}
@media (max-width: 360px) and (max-height:640px) {
   .navbr .menu li{
    
	padding:15px;
	

} 

}
@media (max-width: 320px){
   .navbr .menu li{
    
	padding:10px;
	

} 

}